#!/usr/bin/env node

import inquirer from 'inquirer'
import fs from 'fs'
import download from 'download-git-repo'
import ora from 'ora'

// 接着通过命令行交互询问用户问题，并获取用户执行结果
inquirer.prompt([
    {
        type: 'input',
        name: 'name',
        message: 'Project name?' //询问项目名称并以此名称创建文件夹
    }
]).then((answers) => {
    if (!fs.existsSync(answers.name)) {
        const spinner = ora('下载模板...')
        spinner.start()
        console.log('输入名称是')
        console.log(answers.name)
        // 调用下载方法，传入项目地址，项目名称
        download('direct:git@10.88.40.177:spms-framework/spms-web-common.git#HPAS_V100R002C01', answers.name, {clone: true}, (err) => {
            if (err) {
                console.log('下载失败')
                console.log(err)
                console.log('bbbbb')
                spinner.fail()
            } else {
                console.log('下载成功')
                spinner.succeed()
            }
        })
    } else {
        console.log('项目已经存在了')
    }
})